:root{
    --text-color: #111111;
    --primary-color: #5050FF;
    --accent: #ff8550;
    --dark-white: #F7F7F7;
    --gradient-secondary: linear-gradient(120deg, #5050FF, #3131d2);
    --gradient: linear-gradient(120deg, #0b1a33, #1f3a62);
    --white: #FFFFFF;
    --green: #27ae5f;
    --blue: #3d6dff ;
    --red: #C0392B;
    --yellow: #b45309;
    --light-green: #27ae5f23;
    --light-red: #f8e0e0;
    --primary-light: #e3f7fec8;
    --success-light: #d1fae5;
    --warning-light: #fed7aa75;
}
*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

a{
    text-decoration: none;
}
.btn{
    display: flex;
    align-items: center;
    justify-content: center;
}
.btn i{
    display: inline-block;
    font-size: 20px;
    padding: 0;
    margin: 0;
}
.btn-primary{
    background: var(--gradient-secondary);
    border-color: transparent;
}
.btn-start-learning{
    background: var(--gradient);
}
.btn-start-learning i{
    transform: translateX(0);
    transition: transform 0.2s ease;
}
.btn-start-learning:hover{
    background: #1f3a62;
}
.btn-start-learning:hover i{
    transform: translateX(4px);
}
.form-check-input:checked {
    background-color: var(--primary) !important;
    border-color: var(--primary) !important;
}

.form-check-input:checked {
    --bs-form-switch-bg: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='-4 -4 8 8'%3e%3ccircle r='3' fill='%23FFFFFF'/%3e%3c/svg%3e") !important;
    background-color: #FF6B6B;
    border-color: #FF6B6B;
}

.form-check-input:focus {
    --bs-form-switch-bg: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='-4 -4 8 8'%3e%3ccircle r='3' fill='%23f7e1e1'/%3e%3c/svg%3e") !important;
    border-color: var(--primary) !important;
    box-shadow: 0 0 0 0.25rem #e64e4e9e !important;
}
.form-control, .form-select {
    background: var(--dark-white);
    border-color: transparent;
}
.form-control:focus, .form-select:focus {
    background: var(--white);
    border-color: var(--primary) !important;
    box-shadow: none !important;
}
.switch-lg .form-check-input {
    transform: scale(1.5) !important;
    cursor: pointer;
}

.switch-lg {
    padding-left: 3rem;
}
.my-swal-font{
    font-size: 12px !important;
}
.swal-cancel-black {
    color: var(--text-color) !important;
}
.swal-icon{
    font-size: 18px;
    width: 50px;
    height: 50px;
    background: var(--dark-white);
    color: var(--text-color);
}
.swal-icon.success{
    color: var(--green);
    background: var(--light-green) ;
}
.swal-icon.danger{
    color: var(--red);
    background: var(--light-red) ;
}
.swal-icon.info{
    color: var(--blue);
    background: var(--primary-light);
}
.blur-bg {
    backdrop-filter: blur(6px) !important;
    -webkit-backdrop-filter: blur(6px) !important;
    background: rgba(185, 185, 185, 0.164) !important;
}

body{
    font-family: 'Outfit', sans-serif;
    color: #111111;
}
.navbar{
    display: none !important;
    position: fixed;
    width: 100%;
    left: 50%;
    transform: translateX(-50%);
    bottom: -5px;
    background-color: transparent;
    /* background: var(--text-color) !important; */
    background: #FFFFFF;
    justify-content: center;
    color: var(--white);
    z-index: 1050;
}
.navbar .navbar-menu{
    display: flex !important;
    margin: 0 !important;
    padding: 0 !important;
    padding: 10px 20px !important;
    list-style: none;
    justify-content: space-between;
    align-items: center;
    gap: 20px;
}
.navbar .navbar-menu .nav-link{
    display: inline-flex;
    width: 45px;
    font-size: 15px;
    aspect-ratio: 1/1;
    color: var(--text-color);
    background: #c4c4c46c;
    backdrop-filter: blur(15px);
    border-radius: 50%;
    justify-content: center;
    align-items: center;
    opacity: 0.7;

}
.navbar .navbar-menu .nav-link.active{
    color: var(--white);
    background: var(--gradient-secondary);
    /* box-shadow: 0px 0px 15px #e64e4ee0; */
    opacity: 1;
}
.content .bell{
    display: flex;
    color: #aaaaaa !important;
    font-size: 30px;
    width: 45px;
    height: 45px;
    background: transparent;
    backdrop-filter: blur(15px);
    aspect-ratio: 1/1 !important;
    color: #111111;
    border-radius: 50%;
    justify-content: center;
    align-items: center;
    text-decoration: none;
}
.content .bell span{
    padding: 5px !important;
    background: var(--primary);
    border: 4px solid var(--white);
    border-radius: 50%;
    right: -3px;
}
.content .profil{
    color: var(--text-color);
}
.content .profil .avatar-circle{
    display: inline-flex;
    width: 50px;
    height: 50px;
    border-radius: 50%;
    align-items: center;
    justify-content: center;
    background: var(--dark-white);
    color: var(--text-color);
    /* font-weight: 700; */
    /* border: 1px solid #CCCCCC; */
    letter-spacing: 0.04em;
    /* box-shadow: 0 8px 20px rgba(152, 152, 152, 0.2); */
}
.content .profil img{
    display: none;
}
.header{
    display: flex;
    justify-content: center;
    flex-direction: column;
    width: 100%;
    min-height: 30vh;
    background: var(--gradient);
    background-attachment: fixed;
    color: var(--dark-white);
}
.header .name{
    width: 90% !important;
    font-size: 2em;
}
.header .info{
    width: 100%;
    min-height: 40px;
    font-size: 12px;
    margin-top: auto;
    background-color: transparent;
    background: #b7b7b76c;
    backdrop-filter: blur(5px);
    border: 1px solid var(--dark-white);
}
.header .info .icon{
    display: flex;
    font-size: 15px;
    font-weight: 600;
    color: var(--white);
    background: var(--gradient-secondary);
    width: 45px !important;
    min-width: 45px;
    aspect-ratio: 1 / 1;
    justify-content: center;
    align-items: center;
}
.search-input{
    display: flex;
    background: var(--dark-white);
    padding: 15px 20px;
    align-items: center;
}
.search-input .bx-search-big{
    color: var(--grey);
    font-size: 24px;
}

.search-input input{
    background: transparent;
    border: 0;
    outline: none;
}
.radio-container{
    height: 50px;
    overflow: hidden;
    overflow-x: auto;
}
.radio-container .radio-slide{
    display: flex;
    flex-wrap: nowrap;
    white-space: nowrap;
    top: 0;
    left: 0;
}
.radio-container .radio-slide .radio{
    display: flex;
    min-width: 80px !important;
    width: fit-content !important;
    white-space: nowrap;
    background: var(--dark-white);
    padding: 10px 15px;
    justify-content: center;
    align-items: center;
    transition: all 0.3s ease;
}
.radio-container .radio-slide .radio.active{
    color: var(--dark-white);
    background: var(--gradient-secondary);
    
}
.radio-container::-webkit-scrollbar{
    display: none;
}
.feature-card {
    background: var(--dark-white);
    transition: transform 0.25s ease, box-shadow 0.25s ease;
    /* background-color: var(--blue); */
    /* cursor: pointer; */
}
.feature-card:hover {
    transform: translateY(-2px);
    box-shadow: 0 5px 5px rgba(0, 0, 0, 0.037);
    z-index: 80 !important;
}
.feature-card .label {
    width: 100% !important;
}

.marks{
    color: #CCCCCC;
    font-size: 20px;
    margin-left: auto;
}
.badge-event .icon{
    color: var(--primary-color);
}
.toast{
    display: none;
    opacity: 0;
    color: var(--text-color);
    background: var(--white);
    font-size: 12px;
    border-radius: 12px;
    z-index: 1000;
    top: 80px !important;
    right: 20px !important;
}

.toast.show{
    display: flex;
    opacity: 1;
    animation: toast 0.5s ease-in-out;
}
.toast .icon{
    font-size: 20px;
    padding-left: 10px;
    color: var(--green);
    text-shadow: 0px 0px 10px #20de6fc5;
}
.toast .icon.danger{
    font-size: 20px;
    padding-left: 10px;
    color: #ee4f3e;
    text-shadow: 0px 0px 10px #eb513fc7;
}
.toast .icon.warning{
    font-size: 20px;
    padding-left: 10px;
    color: #ed921b;
    text-shadow: 0px 0px 10px #de6b14c1;
}
.toast .icon.info{
    font-size: 20px;
    padding-left: 10px;
    color: var(--blue);
    text-shadow: 0px 0px 10px #148ddec1;
}
@keyframes toast {
    0%{
        transform: translateX(500px);
        opacity: 0;
    }
    80%{
        transform: translateX(-10px);
        opacity: 1;
    }
    100%{
        transform: translateX(0);
        opacity: 1;
    }
}